/****************************************************************************************

		COMChecker.r

		Copyright (c)1990 - 1999 MetaCreations. All rights reserved.

		Author:	Jerome Bignon
		Date:	04/21/99

		Revision History

		when		who			what & why
		==========	==========	======================================================
		04/29/99	Jerome		Creation

*****************************************************************************************/

#include "External3DAPI.r"
#include "Copyright.h"
#include "CheckerDef.h"
#include "interfaceids.h"


#ifndef qUsingResourceLinker
include "Checker.rsr";
#endif


resource 'GUID' (155)
{
	{
		R_IID_I3DExShader,
		R_CLSID_Checker
	}
};

resource 'COMP' (155)
{
	kRID_ShaderFamilyID,
	'COch',
	"Checker",
	"SDK Examples",
	FIRSTVERSION,
	VERSIONSTRING,
	COPYRIGHT,
	kRDAPIVersion
};

resource 'PMap' (155)
{
	{
		'SIZH','in32',interpolate,"# Hori","",
		'SIZV','in32',interpolate,"# Vert","",
		'Shd0','comp',interpolate,"Shader 1","{fmly shdr MskE 1087 Subm 1 Sort 1 Mini 1 Drop 3}", // = 1024+32+16+8+4+2+1
		'Shd1','comp',interpolate,"Shader 2","{fmly shdr MskE 1087 Subm 1 Sort 1 Mini 1 Drop 3}",
	}
};


resource 'CPUI' (155) 
{
	155,					// Id of your main part
	551,					// Id of your mini-part
	0,						// Style
	kParamsBeforeChildren,	// Where Param part is shown
	1						// Is Collapsable ?
};
