/****************************************************************************************************

		IShMovieDocument.h
		Copyright: (c) 2001 Eovia Corp. All rights reserved.

		Author:	Charles
		Date:	6/26/2003

****************************************************************************************************/

#ifndef __IShMovieDocument__
#define __IShMovieDocument__

#if CP_PRAGMA_ONCE
#pragma once
#endif

//************************ Globally Unique Ids *******************************

MCDEFINE_GUID(IID_IShMovieDocument, 0x52bc0e4c, 0xc6e7, 0x4116, 0xa3, 0x22, 0x3, 0xb6, 0x91, 0x28, 0xf0, 0x68);

//****************************************************************************


/*****************************************************************************\
*                                                                             *
*  IShMovieDocument                                                           *
*                                                                             *
\*****************************************************************************/
/// \addtogroup MCImage
/// \{
/// Interface for a movie document.
struct IShMovieDocument: public IMCUnknown
{   
	// ****************************************************************************
	//							GetMovie	
	// 
	// -Description:
	//
	// Returns a pointer to the movie contained in the document
	//
	virtual IShMovie* MCCOMAPI GetMovie() = 0;
};
/// \}

#endif